#include <bits/stdc++.h>
using namespace std;
int ucln(int a,int b)
{
    int r;
    while(b>0)
    {
        r=a%b;
        a=b;
        b=r;
    }
    return a;
}
int main()
{
   ifstream f1("DAYSO.INP");
   ofstream f2("NTCN.OUT");
   int a[10000],n,i,j;
   f1>>n;
   for(i=0;i<n;i++)
   {
       f1>>a[i];
   }
   for(i=0;i<n-1;i++)
   {
      for(j=i+1;j<n;j++)
      {
          if(ucln(a[i],a[j])==1)f2<<a[i]<<" "<<a[j]<<endl;
      }
   }
   f1.close();
   f2.close();
   return 0;
}
